// Module declarations.

// The component is untyped. These types are defined manually and they could
// potentially change when the library gets updated.
declare module '@iframe-resizer/vue/iframe-resizer.vue' {
  type __VLS_Props = {
    license: string
    bodyBackground?: string
    bodyMargin?: string
    bodyPadding?: string
    checkOrigin?: boolean
    direction?: string
    inPageLinks?: boolean
    offset?: number
    scrolling?: boolean
    tolerance?: number
    warningTimeout?: number
  }

  declare const _default: import('vue').DefineComponent<
    __VLS_Props,
    object,
    object,
    object,
    object,
    import('vue').ComponentOptionsMixin,
    import('vue').ComponentOptionsMixin,
    object,
    string,
    import('vue').PublicProps,
    Readonly<__VLS_Props> & Readonly<object>,
    object,
    object,
    object,
    object,
    string,
    import('vue').ComponentProvideOptions,
    false,
    object,
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    any
  >
  export default _default
}
